PAPER(1)

NAME
paper - print paper size information

SYNOPSIS
paper [OPTION...] [PAPER...|--all]

DESCRIPTION
Print paper size information.

--all
    print information about all known paper sizes

--name
    print paper names (by default, the name is not printed when only one paper argument is given)

--size
    print paper sizes (width followed by height)

--unit=UNIT
    print dimensions in the given unit [default: PostScript points]

--help
    display this help and exit

--version
    display version information and exit

paper prints information about the given paper sizes, which can include the standard form of its name, its width and height. The name is matched case-insensitively, and ignoring spaces.

If neither a paper size nor the --all option is given, the current paper size is used.

The current paper size is obtained by looking in order at the following values until a non-empty value is found. If no paper size is configured, paper exits with an error.

•   The PAPERSIZE environment variable

•   The user's default paper size in $XDG_CONFIG_HOME/papersize

•   The LC_PAPER environment variable (if supported by the system)

•   The system default paper size in /etc/papersize

•   The first paper size in the system list

•   The first paper size in the user's list

ENVIRONMENT VARIABLES

PAPERSIZE
    Paper size to use.

FILES

/etc/papersize
    System default paper size.

$XDG_CONFIG_HOME/papersize
    User's default paper size.

AUTHOR
Written by Reuben Thomas.

COPYRIGHT
Copyright © 2013-2020 Reuben Thomas <rrt@sc3d.org>. Released under the GPL version 3, or (at your option) any later version.

SEE ALSO
paperspecs(5)